---
updatedAt: 2026-09-26T02:51:07.000Z
agentTools:
  projectIndex: https://developers.dialpad.com/llms.txt
---

# User -- Delete

Deletes a user by id.

Rate limit: 1200 per minute.

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "protos.user.GroupDetailsProto": {
        "properties": {
          "do_not_disturb": {
            "description": "Whether the user is currently in do-not-disturb mode for this group.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "group_id": {
            "description": "The ID of the group.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "group_type": {
            "description": "The group type.",
            "enum": [
              "callcenter",
              "callrouter",
              "channel",
              "coachinggroup",
              "coachingteam",
              "department",
              "office",
              "room",
              "staffgroup",
              "unknown",
              "user",
              null
            ],
            "type": [
              "null",
              "string"
            ]
          },
          "role": {
            "description": "The user's role in the group.",
            "enum": [
              "admin",
              "operator",
              "supervisor",
              null
            ],
            "type": [
              "null",
              "string"
            ]
          }
        },
        "type": "object"
      },
      "protos.user.UserProto": {
        "properties": {
          "admin_office_ids": {
            "description": "A list of office IDs for which this user has admin privileges.",
            "items": {
              "format": "int64",
              "type": "integer"
            },
            "type": [
              "array",
              "null"
            ]
          },
          "company_id": {
            "description": "The id of the user's company.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "country": {
            "description": "The country in which the user resides.",
            "type": [
              "null",
              "string"
            ]
          },
          "date_active": {
            "description": "The date when the user activated their Dialpad account.",
            "format": "date-time",
            "type": [
              "null",
              "string"
            ]
          },
          "date_added": {
            "description": "A timestamp indicating when this user was created.",
            "format": "date-time",
            "type": [
              "null",
              "string"
            ]
          },
          "date_first_login": {
            "description": "A timestamp indicating the first time that this user logged in to Dialpad.",
            "format": "date-time",
            "type": [
              "null",
              "string"
            ]
          },
          "date_last_login": {
            "description": "The date when the user last logged in to Dialpad. Omitted if the user has never logged in.",
            "format": "date-time",
            "type": "string"
          },
          "display_name": {
            "description": "The user's name, for display purposes.",
            "type": [
              "null",
              "string"
            ]
          },
          "do_not_disturb": {
            "description": "A boolean indicating whether the user is currently in \"Do not disturb\" mode.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "duty_status_reason": {
            "description": "[single-line only]\n\nA description of this status.",
            "type": [
              "null",
              "string"
            ]
          },
          "duty_status_started": {
            "description": "The timestamp, in UTC, when the current on duty status changed.",
            "format": "date-time",
            "type": [
              "null",
              "string"
            ]
          },
          "emails": {
            "description": "A list of email addresses belonging to this user.",
            "items": {
              "type": "string"
            },
            "type": [
              "array",
              "null"
            ]
          },
          "extension": {
            "description": "The extension that should be associated with this user in the company or office IVR directory.",
            "type": [
              "null",
              "string"
            ]
          },
          "first_name": {
            "description": "[single-line only]\n\nThe given name of the user.",
            "type": [
              "null",
              "string"
            ]
          },
          "forwarding_numbers": {
            "description": "A list of phone numbers that should be dialed in addition to the user's Dialpad number(s)\nupon receiving a call. Only present when the user has forwarding numbers configured.",
            "items": {
              "type": "string"
            },
            "type": [
              "array",
              "null"
            ]
          },
          "group_details": {
            "description": "Details regarding the groups that this user is a member of.",
            "items": {
              "$ref": "#/components/schemas/protos.user.GroupDetailsProto",
              "type": "object"
            },
            "type": [
              "array",
              "null"
            ]
          },
          "id": {
            "description": "The user's id.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "image_url": {
            "description": "The url of the user's profile image.",
            "type": [
              "null",
              "string"
            ]
          },
          "international_dialing_enabled": {
            "description": "Whether or not the user is enabled to dial internationally.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "is_admin": {
            "description": "A boolean indicating whether this user has administrator privileges.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "is_available": {
            "description": "A boolean indicating whether the user is not currently on a call.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "is_on_duty": {
            "description": "A boolean indicating whether this user is currently acting as an operator.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "is_online": {
            "description": "A boolean indicating whether the user currently has an active Dialpad device.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "is_super_admin": {
            "description": "A boolean indicating whether this user has company-wide administrator privileges.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "job_title": {
            "description": "[single-line only]\n\nThe user's job title.",
            "type": [
              "null",
              "string"
            ]
          },
          "language": {
            "description": "The preferred spoken language of the user.",
            "type": [
              "null",
              "string"
            ]
          },
          "last_name": {
            "description": "[single-line only]\n\nThe family name of the user.",
            "type": [
              "null",
              "string"
            ]
          },
          "license": {
            "description": "The license type that has been allocated to this user.",
            "enum": [
              "admins",
              "agents",
              "dpde_all",
              "dpde_one",
              "lite_lines",
              "lite_support_agents",
              "magenta_lines",
              "talk",
              "user",
              null
            ],
            "type": [
              "null",
              "string"
            ]
          },
          "location": {
            "description": "[single-line only]\n\nThe self-reported location of the user. Only present when the user has set a self-reported location.",
            "type": [
              "null",
              "string"
            ]
          },
          "muted": {
            "description": "A boolean indicating whether the user has muted their microphone.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "office_id": {
            "description": "The ID of the user's office.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "on_duty_started": {
            "description": "The timestamp, in UTC, when this operator became available for contact center calls.",
            "format": "date-time",
            "type": [
              "null",
              "string"
            ]
          },
          "on_duty_status": {
            "description": "A description of operator's on duty status.",
            "enum": [
              "available",
              "busy",
              "occupied",
              "occupied-end",
              "unavailable",
              "wrapup",
              "wrapup-end",
              null
            ],
            "type": [
              "null",
              "string"
            ]
          },
          "onboarding_completed": {
            "description": "True if user has completed the onboarding process.",
            "type": "boolean"
          },
          "phone_numbers": {
            "description": "A list of phone numbers belonging to this user.",
            "items": {
              "type": "string"
            },
            "type": [
              "array",
              "null"
            ]
          },
          "remote_service": {
            "description": "The remote service provider for this user (Google or Microsoft).",
            "type": [
              "null",
              "string"
            ]
          },
          "session_type": {
            "description": "The session type of operator's current occupied call or digital. Only present for contact center operators currently in an active call session (occupied or occupied-end duty status).",
            "enum": [
              "call",
              "digital",
              null
            ],
            "type": [
              "null",
              "string"
            ]
          },
          "state": {
            "description": "The current enablement state of the user.",
            "enum": [
              "active",
              "cancelled",
              "deleted",
              "pending",
              "suspended",
              null
            ],
            "type": [
              "null",
              "string"
            ]
          },
          "status_message": {
            "description": "[single-line only]\n\nA message indicating the activity that the user is currently engaged in.",
            "type": [
              "null",
              "string"
            ]
          },
          "timezone": {
            "description": "The timezone that this user abides by.",
            "type": [
              "null",
              "string"
            ]
          },
          "voicemail": {
            "$ref": "#/components/schemas/protos.user.VoicemailSettings",
            "description": "Voicemail settings for the user.",
            "type": "object"
          }
        },
        "required": [
          "onboarding_completed",
          "voicemail"
        ],
        "title": "User.",
        "type": "object"
      },
      "protos.user.VoicemailSettings": {
        "properties": {
          "is_default_voicemail": {
            "description": "Whether the user is using the default voicemail or a custom one.",
            "type": "boolean"
          },
          "name": {
            "description": "The display name for the voicemail.",
            "type": [
              "null",
              "string"
            ]
          },
          "voicemail_notifications_enabled": {
            "description": "Whether voicemail notifications are active or not.",
            "type": "boolean"
          }
        },
        "title": "Voicemail settings for user.",
        "type": "object"
      }
    },
    "securitySchemes": {
      "bearer_token": {
        "description": "The API key can be put in the Authorization header.\ni.e. Authorization: Bearer <api_key>",
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "Dialpad's APIs for customer and third-party developer use",
    "title": "Dialpad",
    "version": "v2",
    "x-logo": {
      "altText": "Dialpad",
      "url": "https://storage.googleapis.com/dialpad_openapi_specs/logo.png"
    }
  },
  "openapi": "3.1.0",
  "paths": {
    "/api/v2/users/{id}": {
      "delete": {
        "deprecated": false,
        "description": "Deletes a user by id.\n\nRate limit: 1200 per minute.",
        "operationId": "users.delete",
        "parameters": [
          {
            "description": "The user's id. ('me' can be used if you are using a user level API key)",
            "in": "path",
            "name": "id",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "examples": {
                  "json_example": {
                    "value": {
                      "company_id": "4508591728425653",
                      "country": "us",
                      "date_added": "2013-01-01T00:00:00",
                      "display_name": "Blocky Mockson (deactivated)",
                      "do_not_disturb": true,
                      "first_name": "Blocky",
                      "has_rbac": false,
                      "id": "5643742714968973",
                      "image_url": "https://dialpad.com/avatar/user/ag5kZXZ-dWJlci12b2ljZXIYCxILVXNlclByb2ZpbGUYjffq_cOegwoM.png?version=a54c75379069406d7958461d98788fb4",
                      "international_dialing_enabled": false,
                      "is_admin": false,
                      "is_available": false,
                      "is_on_duty": false,
                      "is_online": false,
                      "is_super_admin": false,
                      "language": "en",
                      "last_name": "Mockson",
                      "license": "agents",
                      "muted": false,
                      "office_id": "5220648944236254",
                      "onboarding_completed": true,
                      "remote_service": "",
                      "state": "deleted",
                      "status_message": "",
                      "timezone": "US/Pacific",
                      "voicemail": {
                        "is_default_voicemail": true,
                        "name": "default",
                        "voicemail_notifications_enabled": false
                      }
                    }
                  }
                },
                "schema": {
                  "$ref": "#/components/schemas/protos.user.UserProto"
                }
              }
            },
            "description": "A successful response"
          }
        },
        "summary": "User -- Delete",
        "tags": [
          "users"
        ],
        "x-access": [
          "user"
        ],
        "x-ratelimit": [
          [
            20,
            1
          ]
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://dialpad.com"
    },
    {
      "url": "https://sandbox.dialpad.com"
    }
  ],
  "security": [
    {
      "bearer_token": []
    }
  ],
  "x-readme": {
    "apply-tag-changes": true,
    "explorer-enabled": true,
    "proxy-enabled": false
  }
}
```